import { nodesToHtml } from "./utils"

import type { JsonToHtmlProps } from "@/types/components/jsontohtml"

export default function JsonToHtml({
  embeds,
  nodes,
  renderOptions = {},
}: JsonToHtmlProps) {
  if (!Array.isArray(nodes) || !nodes.length) {
    return null
  }
  return <>{nodesToHtml(nodes, embeds, renderOptions).filter(Boolean)}</>
}
